Subject: Re: bug#48518: 13.0.11; LaTeX environment C-c C-e on region doesn't indent properly

From: Berthold Lorke <[email-masked]>
Date: Thu, 2 Feb 2023 21:06:13 +0100

Okay, I am sorry if I am bugging you (no pun intended), but I now still 
do believe there is a problem.

I am using auctex 13.1.9.  Let us assume the following inside of a 
buffer in `tex-mode` with auctex installed.  I did this with a fresh 
Emacs, no other packages installed and no config.

```tex
\documentclass{article}

\begin{document}
\begin{itemize}
\item hello test.
   some more text.
   a^2 + b^2 = c^2
   and some text afterwards here.
\end{itemize}
\end{document}
```

- Mark the region where I wrote `a^2 + b^2 = c^2`, that is line 7.
- Perform `M-x LaTeX-environment`, put `equation` in the prompt, press 
enter, and then for the next prompt press enter again.

The buffer then reads the following

```tex
\documentclass{article}

\begin{document}
\begin{itemize}
\item hello test.
   some more text.
   \begin{equation}
     a^2 + b^2 = c^2
\end{equation}
   and some text afterwards here.
\end{itemize}
\end{document}
```

As you can see, it is not correctly indented.  Have tried this multiple 
times on multiple machines and so on.  Can you confirm this behaviour?